PDA

View Full Version : Hardware requirements any heavier than Lion?




NameUndecided
Feb 16, 2012, 04:40 PM
It doesn't look like it would require all that much more, if any more, power than Lion does. I have a later 2009 MacBook Pro model right now that works perfectly fine even though I'm sure I would notice a nice difference if I started using a newer Mac (Pro or Air). But while I may get a new Mac this year, I'd rather not feel pressured.

Is there any telling at this early point if Mountain Lion will run any slower than Lion does on relatively older Macs? Maybe developers see a detailed enough "recommended specs" list(?), I don't know.



ixodes
Feb 16, 2012, 04:46 PM
It's too soon to tell. However traditionally more resources are needed as additional features are added to an existing OS.

HishamAkhtar
Feb 16, 2012, 04:48 PM
It doesn't look like it would require all that much more, if any more, power than Lion does. I have a later 2009 MacBook Pro model right now that works perfectly fine even though I'm sure I would notice a nice difference if I started using a newer Mac (Pro or Air). But while I may get a new Mac this year, I'd rather not feel pressured.

Is there any telling at this early point if Mountain Lion will run any slower than Lion does on relatively older Macs? Maybe developers see a detailed enough "recommended specs" list(?), I don't know.

Hope it's not any heavier. I'm still looking at ways to downgrade to Snow Leopard from Lion.

punkromance
Feb 16, 2012, 04:51 PM
Really hope it doesn't. Upon hearing the name of the release I was excited, thinking we'd get a Snow Leopard-esque refinement and slimming down, and generally making it more awesome. Instead it looks like they're just bloating it more with crappy iOS features. Oh well. It's too soon to tell, but you would have thought they would have plugged it in the video had performance increases been part of their goals/outcomes.

Maniamac
Feb 16, 2012, 05:08 PM
Apple is dropping support altogether for Intel Core 2 Duo Macs with Intel GMA 950 or X3100.

In addition, one of Mountain Lion's coolest features, Airplay Mirroring, requires a Mac with at least a "Sandy Bridge" microprocessor (i3/i5/i7)--really unfortunate, I think, but probably not arbitrary obsolescence--I don't do anything too crazy with my late 2010 MacBook Air, and its Core 2 Duo is often taxed as it is.

I've generally found that to run smoothest, each new release of OS X needs twice as much RAM as the last. Lion requires 2 GB of RAM. Though I think memory management is one of Apple's stronger suits, Lion isn't the most blazing multi-tasker with 2 GB of RAM.

While technically only a minimum of 2 GB of RAM is required for Mountain Lion, I wouldn't install 10.8 on my machine unless I had *at least* 4 GB to play with.

nicklad
Feb 16, 2012, 05:15 PM
Apple is dropping support altogether for Intel Core 2 Duo Macs with Intel GMA 950 or X3100.

In addition, one of Mountain Lion's coolest features, Airplay Mirroring, requires a Mac with at least a "Sandy Bridge" microprocessor--really unfortunate, I think, but probably not arbitrary obsolescence--I don't do anything too crazy with my late 2010 MacBook Air, and its Core 2 Duo is often taxed.

I've generally found that to run smoothest, each new release of OS X needs twice as much RAM as the last. Lion requires 2 GB of RAM. Though I think memory management is one of Apple's stronger suits, Lion isn't the most blazing multi-tasker with 2 GB of RAM.

While technically only a minimum of 2 GB of RAM is required for Mountain Lion, I wouldn't install 10.8 on my machine unless I had *at least* 4 GB to play with.

System Requirements
OS X Mountain Lion requires a Mac with a 64-bit kernel. Mountain Lion supports the following Mac models:
• iMac (mid 2007 or later)
• MacBook (13-inch Aluminum, 2008), (13-inch, Early 2009 or later)
• MacBook Pro (13-inch, Mid-2009 or later), (15-inch, 2.4/2.2 GHz), (17-inch, Late 2007 or later)
• MacBook Air (Late 2008 or later)
• Mac Mini (Early 2009 or later)
• Mac Pro (Early 2008 or later)
• Xserve (Early 2009)

adm58
Feb 16, 2012, 05:54 PM
System Requirements
• Mac Pro (Early 2008 or later)


I can't imagine any legitimate reason why they would cut off ANY Mac Pro systems. My 2007 machine with 6GB of RAM runs Lion as good or better than my current gen iMac or MacBook Air.

Edit: My bet is that if you install 10.8 on some of these older 64-bit systems via some hack—i.e. target disk mode install from a supported Mac, or by editing the plist of the installer—that 10.8 will run just fine on any machine that currently can run Lion. With the possible exception of the AirPlay Mirroring feature.

zweigand
Feb 16, 2012, 06:10 PM
Looks like it's the end of the road for my 24" white iMac. (6,1) …it's been a good 5+ years.

Liquinn
Feb 16, 2012, 06:44 PM
System Requirements
OS X Mountain Lion requires a Mac with a 64-bit kernel. Mountain Lion supports the following Mac models:
• iMac (mid 2007 or later)
• MacBook (13-inch Aluminum, 2008), (13-inch, Early 2009 or later)
• MacBook Pro (13-inch, Mid-2009 or later), (15-inch, 2.4/2.2 GHz), (17-inch, Late 2007 or later)
• MacBook Air (Late 2008 or later)
• Mac Mini (Early 2009 or later)
• Mac Pro (Early 2008 or later)
• Xserve (Early 2009)

How much RAM is needed?

Bear
Feb 16, 2012, 07:00 PM
I can't imagine any legitimate reason why they would cut off ANY Mac Pro systems. My 2007 machine with 6GB of RAM runs Lion as good or better than my current gen iMac or MacBook Air.

Edit: My bet is that if you install 10.8 on some of these older 64-bit systems via some hack—i.e. target disk mode install from a supported Mac, or by editing the plist of the installer—that 10.8 will run just fine on any machine that currently can run Lion. With the possible exception of the AirPlay Mirroring feature.I bet one of the limitations you'll run in to will be the video options that are no longer supported and no longer have drivers bundled with the OS. The other issue may be systems with 32bit EFIs.

vixducis
Feb 17, 2012, 04:54 AM
In addition, one of Mountain Lion's coolest features, Airplay Mirroring, requires a Mac with at least a "Sandy Bridge" microprocessor (i3/i5/i7)--really unfortunate, I think, but probably not arbitrary obsolescence--I don't do anything too crazy with my late 2010 MacBook Air, and its Core 2 Duo is often taxed as it is.

This sucks, I got the high-end iMac just before the Sandy bridge ones were released. I don't know whether it'll use some Sandy Bridge specific hardware (like the h264 encoder), but if it won't, my iMac would probably run it better than the standard MBP 13".

east85
Feb 17, 2012, 05:07 AM
Looks like it's the end of the road for my 24" white iMac. (6,1) …it's been a good 5+ years.

You're going to abandon a perfectly good Mac over software?

You know it's been less than a year since Lion released.

ForzaJuve
Feb 17, 2012, 08:36 AM
System Requirements
OS X Mountain Lion requires a Mac with a 64-bit kernel. Mountain Lion supports the following Mac models:
• iMac (mid 2007 or later)
• MacBook (13-inch Aluminum, 2008), (13-inch, Early 2009 or later)
• MacBook Pro (13-inch, Mid-2009 or later), (15-inch, 2.4/2.2 GHz), (17-inch, Late 2007 or later)
• MacBook Air (Late 2008 or later)
• Mac Mini (Early 2009 or later)
• Mac Pro (Early 2008 or later)
• Xserve (Early 2009)

Where did you find these? I have been looking for them on the Apple website and could not find them. If this is true then what is up with the claim that Sandy Bridge processors are requried for Airplay feature? That seems to me like a big limitation.

Also, am I right to assume that in order to upgrade to ML one needs to have Lion installed already? In other words If I skipped Lion and am running Snow Leopard I will need to purchase both Lion and ML.

durija
Feb 17, 2012, 09:56 AM
Am I reading this right? My 15" MBP, purchased just last June with only a 2 GHz processor will not be able to run ML?

Mal
Feb 17, 2012, 10:19 AM
Am I reading this right? My 15" MBP, purchased just last June with only a 2 GHz processor will not be able to run ML?

Where'd you get that? None of the system requirements have included the GHz rating, and they all require a Core 2 Duo or newer, which the i7 is definitely newer. Your machine won't have any trouble with Mountain Lion.

jW

zweigand
Feb 17, 2012, 10:28 AM
You're going to abandon a perfectly good Mac over software?

You know it's been less than a year since Lion released.

No, I will still use it. It's just time to upgrade. Probably get a MacBook Air as my next machine.

durija
Feb 17, 2012, 10:43 AM
System Requirements
OS X Mountain Lion requires a Mac with a 64-bit kernel. Mountain Lion supports the following Mac models:
• iMac (mid 2007 or later)
• MacBook (13-inch Aluminum, 2008), (13-inch, Early 2009 or later)
• MacBook Pro (13-inch, Mid-2009 or later), (15-inch, 2.4/2.2 GHz), (17-inch, Late 2007 or later)
• MacBook Air (Late 2008 or later)
• Mac Mini (Early 2009 or later)
• Mac Pro (Early 2008 or later)
• Xserve (Early 2009)

GHz listed for the 15-inch MacBook Pro: 2.4/2.2.
I'm not sure where nicklad got this. Seems odd, but that's why I'm questioning.

Mal
Feb 17, 2012, 11:25 AM
GHz listed for the 15-inch MacBook Pro: 2.4/2.2.
I'm not sure where nicklad got this. Seems odd, but that's why I'm questioning.

Oh, I missed that. That's there because that was Apple's official name for that model, not because that's a CPU requirement. I can understand the confusion now, though.

jW

Mark Booth
Feb 17, 2012, 11:28 AM
Looks like my Mac Pro 1,1 won't be running Mountain Lion. Though, I do have a Radeon 4870 video card installed, perhaps that will save it?

Oh well, my other two Macs are new enough and I've been thinking about upgrading my desktop Mac anyway. :)

Mark

Liquinn
Feb 17, 2012, 11:42 AM
On my base Mini 2011 with 2GB RAM it's saying "OS X 10.7 requires 2 GB of memory"

And doesn't do anything... even though the Mini I have has 2GB of RAM/memory.

I'm slightly confused.

What am I doing wrong?

cool11
Feb 17, 2012, 11:48 AM
Why this release will not run on mbp late 2006 with c2d? Is it so heavy? What is the point?
It remembers me of 'windows vista', so heavy with no additional value to the end user.

pdjudd
Feb 17, 2012, 01:35 PM
Why this release will not run on mbp late 2006 with c2d? Is it so heavy?
It has nothing to do with heft - it has to do with the ability of certain processes to operate in 64 bit only mode - not all C2D system have that - in some cases it's due to the graphics chip not supporting it.

Yamcha
Feb 17, 2012, 01:54 PM
What no one seems to be mentioning is the performance boost over Lion..

I've been using it for a whole day and it runs noticeably faster then Mac OSX Lion..

stewacide
Feb 17, 2012, 02:00 PM
It has nothing to do with heft - it has to do with the ability of certain processes to operate in 64 bit only mode - not all C2D system have that - in some cases it's due to the graphics chip not supporting it.

It's not a question of the chips not supporting it: these systems can boot a 64bit kernel and have 64bit graphics drivers for Linux for example. It's a question of Apple/Intel being too lazy to port the drivers for 64bit: that is, perfectly good hardware will be left behind because they were too lazy to update the graphics driver, no other reason.

Pretty lame.

hackerwayne
Feb 17, 2012, 02:03 PM
Looks like my Mac Pro 1,1 won't be running Mountain Lion. Though, I do have a Radeon 4870 video card installed, perhaps that will save it?

Oh well, my other two Macs are new enough and I've been thinking about upgrading my desktop Mac anyway. :)

Mark

Ive done it, read this post
> http://forums.macrumors.com/showthread.php?t=1325709

On MacBook white partially working, Mac Pro 1,1 with HD 5770, upgraded 8 core processor (if that matters) works 100% fine